{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "Passing",
  "type": "object",
  "properties": {
    "msg": {
      "type": "string"
    },
    "decoder_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "controller_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "request_id": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint64",
      "minimum": 0
    },
    "passing_number": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint64",
      "minimum": 0
    },
    "transponder": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint32",
      "minimum": 0
    },
    "rtc_time": {
      "type": [
        "string",
        "null"
      ]
    },
    "strength": {
      "type": [
        "number",
        "null"
      ],
      "format": "double"
    },
    "hits": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint16",
      "minimum": 0,
      "maximum": 65535
    },
    "low_battery": {
      "type": [
        "boolean",
        "null"
      ]
    },
    "resend": {
      "type": [
        "boolean",
        "null"
      ]
    },
    "modified": {
      "type": [
        "boolean",
        "null"
      ]
    },
    "gps_locked": {
      "type": [
        "boolean",
        "null"
      ]
    },
    "tran_code": {
      "type": [
        "string",
        "null"
      ]
    },
    "user_flags": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint32",
      "minimum": 0
    },
    "driver_id": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint8",
      "minimum": 0,
      "maximum": 255
    },
    "sport": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint8",
      "minimum": 0,
      "maximum": 255
    },
    "voltage": {
      "type": [
        "number",
        "null"
      ],
      "format": "double"
    },
    "temperature": {
      "type": [
        "integer",
        "null"
      ],
      "format": "int8",
      "minimum": -128,
      "maximum": 127
    },
    "car_id": {
      "type": [
        "integer",
        "null"
      ],
      "format": "uint8",
      "minimum": 0,
      "maximum": 255
    },
    "loop_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "empty_fields": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "msg"
  ]
}